import { Component, OnInit, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';

export interface EditGroupMemberDialogData {
  title: string;
  message?: string;
}

export interface EditGroupMemberDialogResult {
  choice: boolean;
}

@Component({
  selector: 'app-layout-messenger-edit-group-member',
  templateUrl: './edit-group-member.dialog.component.html',
  styleUrls: ['./edit-group-member.dialog.component.scss']
})
export class EditGroupMemberDialogComponent implements OnInit {
  constructor(
    public dialogRef: MatDialogRef<
      EditGroupMemberDialogData,
      EditGroupMemberDialogResult
    >,
    @Inject(MAT_DIALOG_DATA) public data: EditGroupMemberDialogData
  ) {}

  ngOnInit(): void {}

  onClickChoice(choice: boolean): void {
    this.dialogRef.close({
      choice
    });
  }
}
